    Set an option for the current MCMC sampler.

set_sampler_opt(opt, value)
opt - str
>>> set_sampler_opt('scale', 3)

PARAMETERS

The parameters for this function are:

Parameter
Definition
opt
The option to change. Use `get_sampler` to view the available options for the current sampler.
value
The value for the option.

Notes

The options depend on the sampler. The options include:

Item
Definition
defaultprior
Set to False when the default prior (flat, between the parameter's soft limits) should not be used. Use `set_prior` to set the form of the prior for each parameter.
inv
A bool, or array of bools, to indicate which parameter is on the inverse scale.
log
A bool, or array of bools, to indicate which parameter is on the logarithm (natural log) scale.
original
A bool, or array of bools, to indicate which parameter is on the original scale.
p_M
The proportion of jumps generatd by the Metropolis jumping rule.
priorshape
An array of bools indicating which parameters have a user-defined prior functions set with `set_prior` .
scale
Multiply the output of `covar` by this factor and use the result as the scale of the t-distribution.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023